BigTermConsumer Class Referenceabstract

`#include <BigTermConsumer.h>`

Inheritance diagram for BigTermConsumer:

## Public Member Functions

virtual | ~BigTermConsumer ()
virtual void | consumeRing (const VarNames &names)=0
| Tell the consumer which ring is being used.
virtual void | beginConsuming ()=0
| Tell the consumer to begin consuming an ideal.
virtual void | consume (const vector< mpz_class > &term)=0
virtual void | doneConsuming ()=0
| Must be called once after each time beginConsuming has been called.
virtual void | consume (const Term &term)
| Consume a term.
virtual void | consume (const Term &term, const TermTranslator &translator)=0
virtual void | consume (const BigIdeal &ideal)
virtual void | consume (unique_ptr< BigIdeal > ideal)
void | beginConsuming (const VarNames &names)
Public Member Functions inherited from TermConsumer
virtual | ~TermConsumer ()
virtual void | beginConsumingList ()
| Tell the consumer that the ideals that are consumed until the next call to doneConsumingList are to be considered as one list of ideals, rather than as a number of separate ideals.
virtual void | doneConsumingList ()
| Must be called once after each time beginConsumingList has been called.
void | consume (const Ideal &ideal)
| This is a non-virtual utility method that calls the other methods to achieve its effect of calling beginConsuming, then consuming all generators, and then calling doneConsuming.

## Detailed Description

Definition at line 29 of file BigTermConsumer.h.

## Constructor & Destructor Documentation

## ~BigTermConsumer()

BigTermConsumer::~BigTermConsumer | ( |  | ) |

virtual

Definition at line 24 of file BigTermConsumer.cpp.

## Member Function Documentation

## beginConsuming() [1/2]

virtual void BigTermConsumer::beginConsuming | ( |  | ) |

pure virtual

Tell the consumer to begin consuming an ideal.

It is required to call this method before calling consume().

Implements TermConsumer.

Implemented in AnalyzeConsumer, BigTermRecorder, ExternalIdealConsumerWrapper, IdealConsolidator, IO::IdealWriter, IrreducibleIdealSplitter, NullTermConsumer, and TranslatingTermConsumer.

## beginConsuming() [2/2]

void BigTermConsumer::beginConsuming | ( | const VarNames & | names | ) |

Definition at line 50 of file BigTermConsumer.cpp.

## consume() [1/5]

void BigTermConsumer::consume | ( | const BigIdeal & | ideal | ) |

virtual

Reimplemented in AnalyzeConsumer, IdealConsolidator, IO::IdealWriter, NullTermConsumer, and TranslatingTermConsumer.

Definition at line 55 of file BigTermConsumer.cpp.

## consume() [2/5]

void BigTermConsumer::consume | ( | const Term & | term | ) |

virtual

Consume a term.

Implements TermConsumer.

Reimplemented in AnalyzeConsumer, IdealConsolidator, IrreducibleIdealSplitter, NullTermConsumer, and TranslatingTermConsumer.

Definition at line 42 of file BigTermConsumer.cpp.

## consume() [3/5]

void BigTermConsumer::consume | ( | const Term & | term,
|  | const TermTranslator & | translator )

pure virtual

Implemented in AnalyzeConsumer, BigTermRecorder, ExternalIdealConsumerWrapper, IdealConsolidator, IO::IdealWriter, IrreducibleIdealSplitter, NullTermConsumer, and TranslatingTermConsumer.

Definition at line 30 of file BigTermConsumer.cpp.

## consume() [4/5]

virtual void BigTermConsumer::consume | ( | const vector< mpz_class > & | term | ) |

pure virtual

Implemented in AnalyzeConsumer, BigTermRecorder, ExternalIdealConsumerWrapper, IdealConsolidator, IO::IdealWriter, IrreducibleIdealSplitter, NullTermConsumer, and TranslatingTermConsumer.

## consume() [5/5]

void BigTermConsumer::consume | ( | unique_ptr< BigIdeal > | ideal | ) |

virtual

Reimplemented in AnalyzeConsumer, and BigTermRecorder.

Definition at line 63 of file BigTermConsumer.cpp.

## consumeRing()

virtual void BigTermConsumer::consumeRing | ( | const VarNames & | names | ) |

pure virtual

Tell the consumer which ring is being used.

Reimplemented from TermConsumer.

Implemented in AnalyzeConsumer, BigTermRecorder, ExternalIdealConsumerWrapper, IdealConsolidator, IO::IdealWriter, IrreducibleIdealSplitter, NullTermConsumer, and TranslatingTermConsumer.

## doneConsuming()

virtual void BigTermConsumer::doneConsuming | ( |  | ) |

pure virtual

Must be called once after each time beginConsuming has been called.

Implements TermConsumer.

Implemented in AnalyzeConsumer, BigTermRecorder, ExternalIdealConsumerWrapper, IdealConsolidator, IO::IdealWriter, IrreducibleIdealSplitter, NullTermConsumer, and TranslatingTermConsumer.

The documentation for this class was generated from the following files:

- src/BigTermConsumer.h
- src/BigTermConsumer.cpp